import t from "../i18n";
export default function css(strings, ...values) {
    return strings.reduce((acc, str, i) => {
        const value = i < values.length ? values[i] : "";
        return acc + str + value;
    }, "");
}
export function setCSSTranslations() {
    const root = document.documentElement;
    root.style.setProperty("--eden-label-description", `"${t("ui.css-labels.description")}"`);
    root.style.setProperty("--eden-label-preview", `"${t("ui.css-labels.preview")}"`);
    root.style.setProperty("--eden-label-no-results", `"${t("ui.css-labels.no-results")}"`);
    root.style.setProperty("--eden-label-scheduled", `"${t("ui.css-labels.scheduled")}"`);
    root.style.setProperty("--eden-label-active", `"${t("ui.css-labels.active")}"`);
    root.style.setProperty("--eden-label-disabled", `"${t("ui.css-labels.disabled")}"`);
    root.style.setProperty("--eden-label-before", `"${t("ui.css-labels.before")}"`);
    root.style.setProperty("--eden-label-inside", `"${t("ui.css-labels.inside")}"`);
    root.style.setProperty("--eden-label-after", `"${t("ui.css-labels.after")}"`);
}
